# $Revision: 1.18 $, $Date: 2002/07/02 08:48:19 $
Summary:	WAN routing package for Sangoma cards
Summary(pl):	Pakiet do rutingu WAN dla kart Sangoma
Name:		wanpipe
Version:	2.1.3
Release:	3
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.sangoma.com/linux/current_wanpipe/%{name}-%{version}.tgz
Source1:	wanrouter.init
Source2:	wanrouter.sysconfig
Source3:	%{name}1.conf
Patch0:		%{name}-cfgtools.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-ncurses.patch
URL:		http://www.sangoma.com/
Buildrequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Prereq:		/sbin/chkconfig

%define		_sysconfdir	/etc/wanpipe

%description
Multi-protocol WANPIPE Driver utilities for Linux Operating System.

%description -l pl
Narzdzia do wieloprotokoowego drivera WANPIPE dla Linuksa.

%package cfgtools
Summary:	Configuration tools for wanpipe
Summary(pl):	Narzdzia konfiguracyjne do wanpipe
Group:		Applications/System
Requires:	%{name} = %{version}

%description cfgtools
Menu-driven configuration tools for WANPIPE.

%description cfgtools -l pl
Narzdzia konfiguracyjne do WANPIPE w postaci menu.

%prep
%setup -qn usr/local/wanrouter
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm -f util/bin/*
rm -f config/ft1/source/ft1_exec
rm -f config/lxdialog/lxdialog

%build
OPTFLAGS="%{rpmcflags}"
export OPTFLAGS

cd util
%{__make} OUTDIR=bin

cd ../config/ft1/source
%{__make}

cd ../../lxdialog
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_sbindir},%{_libdir}/wanrouter/{firmware,config/wancfg,config/ft1}} \
	$RPM_BUILD_ROOT/{/var/log,%{_sysconfdir},/etc/{rc.d/init.d,sysconfig}}

install util/bin/* $RPM_BUILD_ROOT%{_sbindir}
install firmware/* $RPM_BUILD_ROOT%{_libdir}/wanrouter/firmware
install config/lxdialog/lxdialog  $RPM_BUILD_ROOT%{_libdir}/wanrouter/config
install config/wancfg/wancfg  $RPM_BUILD_ROOT%{_sbindir}
install config/wancfg/lib/*  $RPM_BUILD_ROOT%{_libdir}/wanrouter/config/wancfg
install config/ft1/cfgft1 $RPM_BUILD_ROOT%{_sbindir}
install config/ft1/source/{ft1_exec,ft1_print}  $RPM_BUILD_ROOT%{_libdir}/wanrouter/config/ft1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/wanrouter
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/wanrouter
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT/var/log/wanrouter

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add wanrouter
if [ -f /var/lock/subsys/wanrouter ]; then
        /etc/rc.d/init.d/wanrouter restart 1>&2
else
	echo "Edit configuration files in /etc/wanpipe and /etc/sysconfig/interfaces"
        echo "and type \"/etc/rc.d/init.d/wanrouter start\" to start wanrouter" 1>&2
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/wanrouter ]; then
                /etc/rc.d/init.d/wanrouter stop 1>&2
        fi
        /sbin/chkconfig --del wanrouter
fi

%files
%defattr(644,root,root,755)
%doc README doc/* samples/*
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/wanrouter
%attr(754,root,root) /etc/rc.d/init.d/wanrouter
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %dir %{_libdir}/wanrouter
%{_libdir}/wanrouter/firmware
%attr(640,root,root) %ghost /var/log/wanrouter

%files cfgtools
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/wanrouter/config/lxdialog
%attr(755,root,root) %dir %{_libdir}/wanrouter/config/ft1
%attr(755,root,root) %{_libdir}/wanrouter/config/ft1/*
%{_libdir}/wanrouter/config/wancfg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wanpipe.spec,v $
Revision 1.18  2002/07/02 08:48:19  marcus
- use new %%doc
- rel.3.

Revision 1.17  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/25 14:19:27  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.13  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/06/02 17:27:47  kloczek
- added ncurses-devel to BuildRequires,
- some cosmetics.

Revision 1.10  2001/06/02 15:18:01  zagrodzki
- added -ncurses patch

Revision 1.9  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.5  2000/05/03 10:26:53  jajcus
- updated to 2.1.3
- configuration tools subpackage added (those tools require bash)
- RPM_OPT_FLAGS used

Revision 1.4  2000/04/07 09:08:35  kloczek
- release 1,
- some cosmetics changes.

Revision 1.3  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.1  2000/03/19 16:36:38  jajcus
- new spec
